/*====================ÉCOLE POLYTECHNIQUE DE MONTRÉAL============================

	NOM DU FICHIER :CTroudeau.h

	DESCRIPTION :	Déclaration des fonctions de l'objet trou d'eau

	AUTEUR : Martin Bisson, Anne-Marie Buki, Mylene Denis & Jean-Francois Pérusse

	DATE DE CRÉATION : 2004-3-16

	MISES À JOUR :

===============================================================================*/
#ifndef CTROUDEAU_H
#define CTROUDEAU_H

#include "CObjet.h"
#include "CAnimation.h"


class CTroudeau : public CObjet
{
  static CAnimation AnimeTroudeau;
  float rayon;
  float coef;
public:
  CTroudeau(const CVector3f& LaPosi, type_jeuobjet Type, float r = 0.35f, float lecoef = 0.975f)
    : CObjet(LaPosi, Type) { rayon = r; coef = lecoef; }
  ~CTroudeau() {};

  virtual void AfficheGL() const;
  virtual bool isCollision(CBalle *balle) const;
  static bool ChargeTextures();  
  static bool DechargeTextures();
  virtual void UpdateAnimations() const;
  float getRayon() { return rayon; }
};
#endif //CTROUDEAU_H
